View Issue Details

IDProjectCategoryView StatusLast Update
0004527Talerwallet (WebExtensions)public2016-05-26 22:05
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.0Fixed in Version0.0 
Summary0004527: merchant needs mechanism to inform wallet about failed payments
DescriptionIn order to handle certain errors, the merchant needs to be able to inform the wallet about failed payments.

The wallet can then talk to the auditor or offer exportable proof of what went wrong.
TagsNo tags attached.

Relationships

has duplicate 0004382 closedMarcello Stanisci merchant does not notify wallet about successful/failed payments 
child of 0004475 closedFlorian Dold payment fails without clear error message if exchange "lost" keys and merchant doesn't accept the payment 

Activities

Florian Dold

2016-05-24 17:53

manager   ~0010728

The basic mechanism is implemented (5dd21b1), but we're not doing any meaningful error handling right now, we just log and reload exchange information.

It's only possible to handle failed payments meaningfully once we have
- the auditor
- ways to export proofs

Issue History

Date Modified Username Field Change
2016-05-24 16:44 Florian Dold New Issue
2016-05-24 16:44 Florian Dold Status new => assigned
2016-05-24 16:44 Florian Dold Assigned To => Florian Dold
2016-05-24 16:44 Florian Dold Relationship added child of 0004475
2016-05-24 17:53 Florian Dold Note Added: 0010728
2016-05-24 17:53 Florian Dold Status assigned => resolved
2016-05-24 17:53 Florian Dold Resolution open => fixed
2016-05-25 16:35 Christian Grothoff Status resolved => closed
2016-05-25 16:35 Christian Grothoff Product Version => 0.0
2016-05-25 16:35 Christian Grothoff Fixed in Version => 0.0
2016-05-25 16:35 Christian Grothoff Target Version => 0.0
2016-05-26 22:05 Florian Dold Relationship added has duplicate 0004382